/*
 Copyright 2004, Revolution Linux Inc., Nicolas Dufresne

 This file is part of the MILLE-XTERM distribution.
 See the MILLE-XTERM (english) and/or the MILLE (french) project web site

 http://www.revolutionlinux.com/mille-xterm/
 http://www.mille.ca/

 The MILLE-XTERM framework is covered by the GNU General Public License. See
 the COPYING file in the top-level MILLE-XTERM directory. Software packages
 that are included in the MILLE-XTERM distribution have their own licenses.

 -------------------------------------------------------------------------
 
 This script creates the tables needed for the Mille-XTERM configurator.

 Revisions history:
	- 4 au 2004: Creation

*/
/* Genrate lts.conf attributes */
INSERT INTO attributesDef (id,name,mask) VALUES (1, 'RUNLEVEL', '^[345]$');
INSERT INTO attributesDef (id,name,mask) VALUES (2, 'SERVER', '^([0-2]{0,1}[0-9]{1,2}\.){3}[0-2]{0,1}[0-9]{1,2}$');
INSERT INTO attributesDef (id,name,mask) VALUES (3, 'SYSLOG_HOST', '^([0-2]{0,1}[0-9]{1,2}\.){3}[0-2]{0,1}[0-9]{1,2}$');
INSERT INTO attributesDef (id,name,mask) VALUES (4, 'TELNET_HOST', '^([0-2]{0,1}[0-9]{1,2}\.){3}[0-2]{0,1}[0-9]{1,2}$');
INSERT INTO attributesDef (id,name,mask) VALUES (5, 'TELNET_SESSIONS', '^[0-6]$');
INSERT INTO attributesDef (id,name,mask) VALUES (6, 'DNS_SERVER', '^([0-2]{0,1}[0-9]{1,2}\.){3}[0-2]{0,1}[0-9]{1,2}$');
INSERT INTO attributesDef (id,name,mask) VALUES (7, 'SEARCH_DOMAIN', '^[\.a-zA-Z]{1,254}' );
INSERT INTO attributesDef (id,name) VALUES (8, 'MODULE_01');
INSERT INTO attributesDef (id,name) VALUES (9, 'MODULE_02');
INSERT INTO attributesDef (id,name) VALUES (10, 'MODULE_03');
INSERT INTO attributesDef (id,name) VALUES (11, 'MODULE_04');
INSERT INTO attributesDef (id,name) VALUES (12, 'MODULE_05');
INSERT INTO attributesDef (id,name) VALUES (13, 'MODULE_06');
INSERT INTO attributesDef (id,name) VALUES (14, 'MODULE_07');
INSERT INTO attributesDef (id,name) VALUES (15, 'MODULE_08');
INSERT INTO attributesDef (id,name) VALUES (16, 'MODULE_09');
INSERT INTO attributesDef (id,name) VALUES (17, 'MODULE_10');
INSERT INTO attributesDef (id,name,mask) VALUES (18, 'RAMDISK_SIZE', '^[0-9]{1,254}$');
INSERT INTO attributesDef (id,name,mask) VALUES (19, 'NFS_SERVER', '^([0-2]{0,1}[0-9]{1,2}\.){3}[0-2]{0,1}[0-9]{1,2}$');
INSERT INTO attributesDef (id,name,attributeType) VALUES (20, 'USE_NFS_SWAP', 1);
INSERT INTO attributesDef (id,name,mask) VALUES (21, 'SWAP_SERVER', '^([0-2]{0,1}[0-9]{1,2}\.){3}[0-2]{0,1}[0-9]{1,2}$');
INSERT INTO attributesDef (id,name) VALUES (22, 'NFS_SWAPDIR');
INSERT INTO attributesDef (id,name,mask) VALUES (23, 'SWAPFILE_SIZE', '^[0-9]{1,253}m$' );
INSERT INTO attributesDef (id,name) VALUES (24, 'RCFILE_01');
INSERT INTO attributesDef (id,name) VALUES (25, 'RCFILE_02');
INSERT INTO attributesDef (id,name) VALUES (26, 'RCFILE_03');
INSERT INTO attributesDef (id,name) VALUES (27, 'RCFILE_04');
INSERT INTO attributesDef (id,name) VALUES (28, 'RCFILE_05');
INSERT INTO attributesDef (id,name) VALUES (29, 'RCFILE_06');
INSERT INTO attributesDef (id,name) VALUES (30, 'RCFILE_07');
INSERT INTO attributesDef (id,name) VALUES (31, 'RCFILE_08');
INSERT INTO attributesDef (id,name) VALUES (32, 'RCFILE_09');
INSERT INTO attributesDef (id,name) VALUES (33, 'RCFILE_10');
INSERT INTO attributesDef (id,name,attributeType) VALUES (34, 'SOUND', 1);
INSERT INTO attributesDef (id,name,mask) VALUES (35, 'XDM_SERVER', '^([0-2]{0,1}[0-9]{1,2}\.){3}[0-2]{0,1}[0-9]{1,2}$');
INSERT INTO attributesDef (id,name) VALUES (36, 'XSERVER');
INSERT INTO attributesDef (id,name,attributeType) VALUES (38, 'DISABLE_ACCESS_CONTROL', 1);
INSERT INTO attributesDef (id,name,mask) VALUES (39, 'X_MODE_0', '^[0-9]{3,4}x[0-9a-zA-Z\+\-]{3,250}$' );
INSERT INTO attributesDef (id,name,mask) VALUES (40, 'X_MODE_1', '^[0-9]{3,4}x[0-9a-zA-Z\+\-]{3,250}$' );
INSERT INTO attributesDef (id,name,mask) VALUES (41, 'X_MODE_2', '^[0-9]{3,4}x[0-9a-zA-Z\+\-]{3,250}$' );
INSERT INTO attributesDef (id,name) VALUES (42, 'X_DEVICE_OPTION_01');
INSERT INTO attributesDef (id,name) VALUES (43, 'X_DEVICE_OPTION_02');
INSERT INTO attributesDef (id,name) VALUES (44, 'X_DEVICE_OPTION_03');
INSERT INTO attributesDef (id,name) VALUES (45, 'X_DEVICE_OPTION_04');
INSERT INTO attributesDef (id,name) VALUES (46, 'X_DEVICE_OPTION_05');
INSERT INTO attributesDef (id,name) VALUES (47, 'X_DEVICE_OPTION_06');
INSERT INTO attributesDef (id,name) VALUES (48, 'X_DEVICE_OPTION_07');
INSERT INTO attributesDef (id,name) VALUES (49, 'X_DEVICE_OPTION_08');
INSERT INTO attributesDef (id,name) VALUES (50, 'X_DEVICE_OPTION_09');
INSERT INTO attributesDef (id,name) VALUES (51, 'X_DEVICE_OPTION_10');
INSERT INTO attributesDef (id,name) VALUES (52, 'X4_MODULE_01');
INSERT INTO attributesDef (id,name) VALUES (53, 'X4_MODULE_02');
INSERT INTO attributesDef (id,name) VALUES (54, 'X4_MODULE_03');
INSERT INTO attributesDef (id,name) VALUES (55, 'X4_MODULE_04');
INSERT INTO attributesDef (id,name) VALUES (56, 'X4_MODULE_05');
INSERT INTO attributesDef (id,name) VALUES (57, 'X4_MODULE_06');
INSERT INTO attributesDef (id,name) VALUES (58, 'X4_MODULE_07');
INSERT INTO attributesDef (id,name) VALUES (59, 'X4_MODULE_08');
INSERT INTO attributesDef (id,name) VALUES (60, 'X4_MODULE_09');
INSERT INTO attributesDef (id,name) VALUES (61, 'X4_MODULE_10');
INSERT INTO attributesDef (id,name,mask) VALUES (62, 'X4_BUSID', '^[pP][cC][iI](:[0-9]{1,2}){3}$' );
INSERT INTO attributesDef (id,name) VALUES (63, 'X4_DRI');
INSERT INTO attributesDef (id,name,mask) VALUES (64, 'X_VIDEORAM', '^[0-9]{1,254}$');
INSERT INTO attributesDef (id,name,attributeType) VALUES (65, 'X_MOUSE_PROTOCOL', 1);
INSERT INTO attributesDef (id,name) VALUES (66, 'X_MOUSE_DEVICE');
INSERT INTO attributesDef (id,name,mask) VALUES (67, 'X_MOUSE_RESOLUTION', '^[0-9]{1,254}$');
INSERT INTO attributesDef (id,name,mask) VALUES (68, 'X_MOUSE_BUTTONS',  '^[1-9]$');
INSERT INTO attributesDef (id,name,attributeType) VALUES (69, 'X_MOUSE_EMULATE3BTN', 1);
INSERT INTO attributesDef (id,name,mask) VALUES (70, 'X_MOUSE_BAUD', '^[0-9]{1,254}$');
INSERT INTO attributesDef (id,name,attributeType) VALUES (71, 'X_COLOR_DEPTH', 1);
INSERT INTO attributesDef (id,name,attributeType) VALUES (72, 'USE_XFS', 1);
INSERT INTO attributesDef (id,name,mask) VALUES (73, 'XFS_SERVER', '^([0-2]{0,1}[0-9]{1,2}\.){3}[0-2]{0,1}[0-9]{1,2}$');
INSERT INTO attributesDef (id,name,mask) VALUES (74, 'X_HORZSYNC', '^[0-9]{1,20}(-[0-9]{1,20}){0,1}$');
INSERT INTO attributesDef (id,name,mask) VALUES (75, 'X_VERTREFRESH', '^[0-9]{1,20}(-[0-9]{1,20}){0,1}$');
INSERT INTO attributesDef (id,name) VALUES (76, 'XF86CONFIG_FILE');
INSERT INTO attributesDef (id,name,attributeType) VALUES (77, 'USE_TOUCH' ,1);
INSERT INTO attributesDef (id,name) VALUES (78, 'X_TOUCH_DEVICE');
INSERT INTO attributesDef (id,name,mask) VALUES (79, 'X_TOUCH_MINX', '^[0-9]{1,254}$');
INSERT INTO attributesDef (id,name,mask) VALUES (80, 'X_TOUCH_MAXX', '^[0-9]{1,254}$');
INSERT INTO attributesDef (id,name,mask) VALUES (82, 'X_TOUCH_MINY', '^[0-9]{1,254}$');
INSERT INTO attributesDef (id,name,mask) VALUES (83, 'X_TOUCH_MAXY', '^[0-9]{1,254}$');
INSERT INTO attributesDef (id,name,mask) VALUES (84, 'X_TOUCH_UNDELAY', '^[0-9]{1,254}$');
INSERT INTO attributesDef (id,name,mask) VALUES (85, 'X_TOUCH_RPTDELAY', '^[0-9]{1,254}$');
INSERT INTO attributesDef (id,name,attributeType) VALUES (86, 'LOCAL_APPS', 1);
INSERT INTO attributesDef (id,name) VALUES (87, 'NIS_DOMAIN');
INSERT INTO attributesDef (id,name,mask) VALUES (88, 'NIS_SERVER', '^([0-2]{0,1}[0-9]{1,2}\.){3}[0-2]{0,1}[0-9]{1,2}$');
INSERT INTO attributesDef (id,name) VALUES (89, 'XkbTypes');
INSERT INTO attributesDef (id,name) VALUES (90, 'XkbCompat');
INSERT INTO attributesDef (id,name) VALUES (91, 'XkbSymbols');
INSERT INTO attributesDef (id,name) VALUES (92, 'XkbModel');
INSERT INTO attributesDef (id,name) VALUES (93, 'XkbLayout');
INSERT INTO attributesDef (id,name) VALUES (94, 'PRINTER_0_DEVICE');
INSERT INTO attributesDef (id,name,attributeType) VALUES (95, 'PRINTER_0_TYPE', 1);
INSERT INTO attributesDef (id,name,mask) VALUES (96, 'PRINTER_0_PORT', '^[0-9]{1,254}$');
INSERT INTO attributesDef (id,name,mask) VALUES (97, 'PRINTER_0_SPEED', '^[0-9]{1,254}$');
INSERT INTO attributesDef (id,name,attributeType) VALUES (98, 'PRINTER_0_FLOWCTRL', 1);
INSERT INTO attributesDef (id,name,attributeType) VALUES (99, 'PRINTER_0_PARITY', 1);
INSERT INTO attributesDef (id,name,attributeType) VALUES (100, 'PRINTER_0_DATABITS', 1);
INSERT INTO attributesDef (id,name,attributeType) VALUES (101,'PRINTER_0_WRITE_ONLY', 1);
INSERT INTO attributesDef (id,name) VALUES (102, 'PRINTER_1_DEVICE');
INSERT INTO attributesDef (id,name,attributeType) VALUES (103, 'PRINTER_1_TYPE', 1);
INSERT INTO attributesDef (id,name,mask) VALUES (104, 'PRINTER_1_PORT', '^[0-9]{1,254}$');
INSERT INTO attributesDef (id,name,mask) VALUES (105, 'PRINTER_1_SPEED', '^[0-9]{1,254}$');
INSERT INTO attributesDef (id,name,attributeType) VALUES (106, 'PRINTER_1_FLOWCTRL', 1);
INSERT INTO attributesDef (id,name,attributeType) VALUES (107, 'PRINTER_1_PARITY', 1);
INSERT INTO attributesDef (id,name,attributeType) VALUES (108, 'PRINTER_1_DATABITS', 1);
INSERT INTO attributesDef (id,name,attributeType) VALUES (109,'PRINTER_1_WRITE_ONLY', 1);
INSERT INTO attributesDef (id,name) VALUES (110, 'PRINTER_2_DEVICE');
INSERT INTO attributesDef (id,name,attributeType) VALUES (111, 'PRINTER_2_TYPE', 1);
INSERT INTO attributesDef (id,name,mask) VALUES (112, 'PRINTER_2_PORT', '^[0-9]{1,254}$');
INSERT INTO attributesDef (id,name,mask) VALUES (113, 'PRINTER_2_SPEED', '^[0-9]{1,254}$');
INSERT INTO attributesDef (id,name,attributeType) VALUES (114, 'PRINTER_2_FLOWCTRL', 1);
INSERT INTO attributesDef (id,name,attributeType) VALUES (115, 'PRINTER_2_PARITY', 1);
INSERT INTO attributesDef (id,name,attributeType) VALUES (116, 'PRINTER_2_DATABITS', 1);
INSERT INTO attributesDef (id,name,attributeType) VALUES (117,'PRINTER_2_WRITE_ONLY', 1);
INSERT INTO attributesDef (id,name,attributeType) VALUES (37,'PRINTER_LIST', 2);
INSERT INTO attributesDef (id,name) VALUES (118, 'SCREEN_01');
INSERT INTO attributesDef (id,name) VALUES (119, 'SCREEN_02');
INSERT INTO attributesDef (id,name) VALUES (120, 'SCREEN_03');
INSERT INTO attributesDef (id,name) VALUES (121, 'SCREEN_04');
INSERT INTO attributesDef (id,name) VALUES (122, 'SCREEN_05');
INSERT INTO attributesDef (id,name) VALUES (123, 'SCREEN_06');
INSERT INTO attributesDef (id,name) VALUES (124, 'SCREEN_07');
INSERT INTO attributesDef (id,name) VALUES (125, 'SCREEN_08');
INSERT INTO attributesDef (id,name) VALUES (126, 'SCREEN_09');
INSERT INTO attributesDef (id,name) VALUES (127, 'SCREEN_10');

INSERT INTO attributesDef (id,name) VALUES (128, 'SMODULE_01');
INSERT INTO attributesDef (id,name) VALUES (129, 'SMODULE_02');
INSERT INTO attributesDef (id,name) VALUES (130, 'SMODULE_03');
INSERT INTO attributesDef (id,name) VALUES (131, 'SMODULE_04');
INSERT INTO attributesDef (id,name) VALUES (132, 'SMODULE_05');
INSERT INTO attributesDef (id,name) VALUES (133, 'SMODULE_06');
INSERT INTO attributesDef (id,name) VALUES (134, 'SMODULE_07');
INSERT INTO attributesDef (id,name) VALUES (135, 'SMODULE_08');
INSERT INTO attributesDef (id,name) VALUES (136, 'SMODULE_09');
INSERT INTO attributesDef (id,name) VALUES (137, 'SMODULE_10');

INSERT INTO attributesDef (id,name) VALUES (138, 'DEFAULT_PRINTER');

-- Initialise serialization
SELECT setval('attributesDef_id_seq',138);



/* Initialising attributes definition dictionary*/

-- id  | attributetype |          name
-----+---------------+------------------------
--  20 |             1 | USE_NFS_SWAP
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (20,'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (20,'N',1);
--  34 |             1 | SOUND
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (34,'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (34,'N',1);
--  38 |             1 | DISABLE_ACCESS_CONTROL
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (38,'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (38,'N',1);
--  65 |             1 | X_MOUSE_PROTOCOL
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (65,'IMPS/2',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (65,'PS/2',1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (65,'Microsoft',1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (65,'auto',1);
--  69 |             1 | X_MOUSE_EMULATE3BTN
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (69,'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (69,'N',1);
--  71 |             1 | X_COLOR_DEPTH
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (71,'8',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (71,'15',1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (71,'16',1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (71,'24',1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (71,'32',1);
--  72 |             1 | USE_XFS
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (72,'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (72,'N',1);
--  77 |             1 | USE_TOUCH
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (77,'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (77,'N',1);
--  86 |             1 | LOCAL_APPS
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (86,'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (86,'N',1);
--  95 |             1 | PRINTER_0_TYPE
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (95,'P',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (95,'S',1);
--  98 |             1 | PRINTER_0_FLOWCTRL
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (98,'S',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (98,'H',1);
--  99 |             1 | PRINTER_0_PARITY
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (99,'E',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (99,'O',1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (99,'N',1);
-- 100 |             1 | PRINTER_0_DATABITS
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (100,'5',1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (100,'6',1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (100,'7',1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (100,'8',1);
-- 101 |             1 | PRINTER_0_WRITE_ONLY
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (101,'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (101,'N',1);
-- 103 |             1 | PRINTER_1_TYPE
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (103,'P',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (103,'S',1);
-- 106 |             1 | PRINTER_1_FLOWCTRL
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (106,'S',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (106,'H',1);
-- 107 |             1 | PRINTER_1_PARITY
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (107,'E',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (107,'O',1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (107,'N',1);
-- 108 |             1 | PRINTER_1_DATABITS
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (108,'5',1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (108,'6',1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (108,'7',1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (108,'8',1);
-- 109 |             1 | PRINTER_1_WRITE_ONLY
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (109,'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (109,'N',1);
-- 111 |             1 | PRINTER_2_TYPE
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (111,'P',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (111,'S',1);
-- 114 |             1 | PRINTER_2_FLOWCTRL
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (114,'S',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (114,'H',1);
-- 115 |             1 | PRINTER_2_PARITY
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (115,'E',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (115,'O',1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (115,'N',1);
-- 116 |             1 | PRINTER_2_DATABITS
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (116,'5',1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (116,'6',1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (116,'7',1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (116,'8',1);
-- 117 |             1 | PRINTER_2_WRITE_ONLY
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (117,'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (117,'N',1);


