/*
 Copyright 2004, Commission scolaire de Laval, Stphane Bond

 This file is part of the MILLE-XTERM distribution.
 See the MILLE-XTERM (english) and/or the MILLE (french) project web site

 http://www.revolutionlinux.com/mille-xterm/
 http://www.mille.ca/

 The MILLE-XTERM framework is covered by the GNU General Public License. See
 the COPYING file in the top-level MILLE-XTERM directory. Software packages
 that are included in the MILLE-XTERM distribution have their own licenses.

 -------------------------------------------------------------------------
 
 This script insert extended attributes for MilleXTerm

 Revisions history:
	- 4 aug 2005: Creation

*/


/*
  SUBNET entry to specify the associated subnet of a node.
  Used to autocreate a computer node into the right location 
  and alow the use of BOOTCONFIG attribute for a SUBNET.
  Example :
  10.0.0.0/8		For a Class A network (10.x.x.x / 255.0.0.0)
  10.126.0.0/16		For a Class B network (10.126.x.x / 255.255.0.0)
  10.126.70.0/24	For a Class C network (10.126.70.x / 255.255.255.0)
  10.126.70.0/28	For a segmented Class C network with a netmask like 255.255.255.192
*/
INSERT INTO attributesDef (name, attributeClass, mask) VALUES ('NODE_SUBNET', 'mille', '^([0-2]{0,1}[0-9]{1,2}\.){3}[0-2]{0,1}[0-9]{1,2}(/)([0-3]{0,1}[0-9]{1})$');


/*
  Config file name for pxelinux. May be applied to a node with NODE_SUBNET attr. or a MAC address.
*/
INSERT INTO attributesDef (name, attributeClass, attributeType, editable) VALUES ('PXECONFIG', 'mille', 1, 1);


/*
  Teacher Tools Attributes
*/
INSERT INTO attributesDef (name, attributeClass) VALUES ('CLASSROOM', 'mille');

INSERT INTO attributesDef (name, attributeClass) VALUES ('COMPUTER_NAME', 'mille');


/*
Reference for an inventory system
*/

INSERT INTO attributesDef (name, attributeClass) VALUES ('INVENTORY_NUMBER', 'mille');


/*
  Enable NBD swap
*/
INSERT INTO attributesDef (name,attributeClass,attributeType) VALUES ('USE_NBD_SWAP', 'mille', 1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (currval('attributesdef_id_seq'),'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (currval('attributesdef_id_seq'),'N',1);


/*
  Enable Local media (usb keys)
*/
INSERT INTO attributesDef (name,attributeClass,attributeType) VALUES ('LOCAL_MEDIA', 'mille', 1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (currval('attributesdef_id_seq'),'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (currval('attributesdef_id_seq'),'N',1);


/*
  Enable Traffic shaping
*/
INSERT INTO attributesDef (name,attributeClass,attributeType) VALUES ('TRAFFIC_SHAPER', 'mille', 1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (currval('attributesdef_id_seq'),'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (currval('attributesdef_id_seq'),'N',1);

/*
  Enable Firewall
*/
INSERT INTO attributesDef (name,attributeClass,attributeType) VALUES ('ENABLE_FIREWALL', 'mille', 1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (currval('attributesdef_id_seq'),'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (currval('attributesdef_id_seq'),'N',1);

/*
  Attribute for loadbalancer group
*/
INSERT INTO attributesDef (name, attributeClass, attributeType, editable) VALUES ('LBGROUP', 'mille', 1, 1);


/*
  Traffic parameters for X11
*/
INSERT INTO attributesDef (name, attributeClass, mask) VALUES ('TRAFFIC_X11', 'mille', '^([0-9]{1,8})(\-)([0-9]{1,8})$');



/*
  Attributes for session customization
*/
INSERT INTO attributesDef (name, attributeClass, attributeType, editable) VALUES ('SCRIPTS', 'custom', 2, 1);

INSERT INTO attributesDef (name, attributeClass, attributeType, editable) VALUES ('DESKTOP_ICONS', 'custom', 2, 1);

INSERT INTO attributesDef (name, attributeClass, attributeType, editable) VALUES ('MENU_GROUPS', 'custom', 2, 1);

INSERT INTO attributesDef (name, attributeClass, attributeType, editable) VALUES ('PROGRAMS', 'custom', 2, 1);

INSERT INTO attributesDef (name, attributeClass, attributeType, editable) VALUES ('BACKGROUND', 'custom', 1, 1);


/*
  Attributes for entity (user or groups)
*/
INSERT INTO attributesDef (name, attributeClass, attributeType) VALUES ('IS_TEACHER', 'entity', 1);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (currval('attributesdef_id_seq'),'Y',0);
INSERT INTO attributesDefDict (attributesdef_id,value,sortval) VALUES (currval('attributesdef_id_seq'),'N',1);

