<?php
/*
# Copyright 2004, Revolution Linux Inc., Nicolas Dufresne
#
# This file is part of the MILLE-XTERM distribution.
# See the MILLE-XTERM (english) and/or the MILLE (french) project web site
#
# http://www.revolutionlinux.com/mille-xterm/
# http://www.mille.ca/
#
# The MILLE-XTERM framework is covered by the GNU General Public License. See
# the COPYING file in the top-level MILLE-XTERM directory. Software packages
# that are included in the MILLE-XTERM distribution have their own licenses.
#
# -------------------------------------------------------------------------
*/
	/*
	* This class deals with module navigation tool.  It define which modules should be loaded
	* and print navigation bar
	*
	* Author: Nicolas Dufresne
	*/

	require_once 'modules-config.php';
	require_once 'entityRole-config.php';
	require_once 'roles-config.php';
	require_once 'functions.php';



	class ModulesBrowser{
		var $currentModule;

		function ModulesBrowser() {
			global $MODULES,$termonly,$ROLE;

			// Checking if a module is selected
			if (!isset($_GET['module']) || !isset($MODULES[$_GET['module']])) {
				// If not, select first in list
				foreach ($ROLE[$_SESSION['userRole']] as $index => $name) {
					$this->currentModule = $name;
					break;
				}
			} 
			else
				$this->currentModule = $_GET['module'];

			// Loading module if role has permission to ...
        		if(in_array($this->currentModule, $ROLE[$_SESSION['userRole']])){
				$module_action = "build";
				include $MODULES[$this->currentModule];
        		}

			// Printing module navigator
			$this->printBrowser();

			// Printing module
			$module_action = "print";
			include $MODULES[$this->currentModule];
		}

		function printBrowser() {
			global $MODULES,$termonly,$termonly_modules,$ROLE,$GROUP_ROLE;
?>
<table border="0" width="100%">
	<tr>
	  <td><img src="images/logo_millexterm279x57.jpg" alt="Mille-XTerm" width="279" height="57"></td>
	  <td align="right">&nbsp;</td>
  	<tr>
	<tr>
		<td>
<?php
			//foreach ($MODULES as $name => $file) {
			foreach ($ROLE[$_SESSION['userRole']] as $index => $name) {
				$_GET['module'] = $name;
				if($termonly) {
				 //if(($name!="logs_module") && ($name!="configuration_module"))
				 if(!(is_array($termonly_modules) && in_array($name, $termonly_modules)))
				 continue;
				}
				print "\t\t\t".'<a href="admin.php?'.getGETParam().'">';
				if ($name == $this->currentModule) print '<b>';
				print "[&nbsp;";
				print getMessage($name);
				print "&nbsp;]";
				if ($name == $this->currentModule) print '</b>';
				print "</a>\n";
			}
			$_GET['module'] = $this->currentModule;
?>
		</td>
<?php if(!$termonly) { ?>
		<td align="right"><a href="index.php?PHPSESSID=<?= session_id() ?>">[&nbsp;<?= getMessage('logout') ?>&nbsp;]</a></td>
<?php } ?>
	<tr>
</table>
<?php
			if(!$termonly) echo "<HR SIZE=\"4\" noshade width=100%>";
		}
	}
?>